org.eclipse.ease.lang.unittest.runtime

## Interface ITestContainer

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ITestEntity, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ITestClass, ITestFile, ITestFolder, ITestSuite

All Known Implementing Classes:
  TestClass, TestContainer, TestFile, TestFolder, TestSuite

    public interface ITestContainer
    extends ITestEntity

A representation of the model object 'Test Container'.

The following features are supported:

- `Children`
- `Resource`

See Also:
  `IRuntimePackage.getTestContainer()`

### Field Summary

### Fields inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`CUSTOM_CODE, GLOBAL_SCOPE_TEST`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<ITestContainer>` `getChildContainers()`
`org.eclipse.emf.common.util.EList<ITestEntity>` `getChildren()` Returns the value of the 'Children' containment reference list.
`java.util.List<ITestEntity>` `getCopyOfChildren()`
`java.lang.Object` `getResource()` Returns the value of the 'Resource' attribute.
`ITest` `getTest(java.lang.String name)`
`void` `setResource(java.lang.Object value)` Sets the value of the '`Resource`' attribute.

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`addError, getDescription, getDuration, getEndTimestamp, getEntityStatus, getEstimatedDuration, getFullPath, getMetadata, getName, getParent, getResults, getResults, getRoot, getStartTimestamp, getStatus, getTestSuite, getWorstResult, hasError, isDisabled, isTerminated, reset, run, setDescription, setDisabled, setEndTimestamp, setEntityStatus, setEstimatedDuration, setName, setParent, setStartTimestamp, setTerminated`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getChildren

    org.eclipse.emf.common.util.EList<ITestEntity> getChildren()

Returns the value of the 'Children' containment reference list. The list contents are of type `ITestEntity`. It is bidirectional and its opposite is '`Parent`'.

If the meaning of the 'Children' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Children' containment reference list.
See Also:
  `IRuntimePackage.getTestContainer_Children()`, `ITestEntity.getParent()`

#### getResource

    java.lang.Object getResource()

Returns the value of the 'Resource' attribute.

If the meaning of the 'Resource' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getResource` in interface `ITestEntity`
Returns:
  the value of the 'Resource' attribute.
See Also:
  `setResource(Object)`, `IRuntimePackage.getTestContainer_Resource()`

#### setResource

    void setResource(java.lang.Object value)

Sets the value of the '`Resource`' attribute.

Parameters:
  `value` - the new value of the 'Resource' attribute.
See Also:
  `getResource()`

#### getTest

    ITest getTest(java.lang.String name)

#### getChildContainers

    org.eclipse.emf.common.util.EList<ITestContainer> getChildContainers()

#### getCopyOfChildren

    java.util.List<ITestEntity> getCopyOfChildren()